%global pypi_name croniter
 
Summary:        Iteration for datetime object with cron like format
Name:           python-%{pypi_name}
Version:        1.3.14
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/kiorky/croniter
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pytest python3-dateutil python3-pytz

BuildArch:      noarch
 
%description
This package provides iteration for the datetime object with a cron like format.
 
%package -n     python3-%{pypi_name}
Summary:        %{summary}
 
Requires:       python3-dateutil
%description -n python3-%{pypi_name}
This package provides iteration for the datetime object with a cron like format.
 
%prep
%autosetup -p1 -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

find -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +
 
%build
%py3_build

%install
# to avoid overwriting scripts in /usr/bin when installing setup.py, install subpackages first
%py3_install

%check
py.test -v
 
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
 
%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.14-2
- Rebuilt for loongarch release

* Thu Sep 28 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.14-1
- Upgrade to version 1.3.14

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.8-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.8-1
- initial build
